Bug 172739 - Deep recursion in CGI::Carp::warn
Summary: Deep recursion in CGI::Carp::warn
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-08 22:19 UTC by Jon Orris
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 5.8.7-0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 18:37:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Orris 2005-11-08 22:19:31 UTC
Description of problem:
CGI::Carp::Warn experiences deep recursion when hit, followed by a segmentation
fault. This can make developing any web applications using CGI::Carp::Warn
difficult, as any trivial warning will cause pages of log output followed by a
crash.

See https://rt.perl.org/rt3/Ticket/Display.html?id=36521 for details and
possible patches.

Version-Release number of selected component (if applicable):
perl-5.8.6-15

How reproducible:
Always

Steps to Reproduce:
Execute script:
#!/usr/bin/perl

use CGI::Carp qw(fatalsToBrowser);
use diagnostics;

warn "foo";

Results:
Deeply nested warning message followed by segfault.

Comment 1 Jason Vas Dias 2005-11-08 23:11:43 UTC
Oh dear! Yes, this appears to be an issue with perl-5.8.6-* in FC-4, and with the
latest perl-5.8.7 in FC-5/Rawhide. investigating ...


Comment 2 Jason Vas Dias 2005-11-08 23:43:45 UTC
This only happens in FC-4 and FC-5 with the 'use diagnostics;' - without this,
the command completes ok:
$ perl -e 'use CGI::Carp; CGI::Carp::warn("foo");'
[Tue Nov  8 18:25:03 2005] -e: foo at -e line 1.

The 'use CGI::Carp; use diagnostics; CGI::Carp::warn("foo");' works fine with
RHEL-3's perl-5.8.0-90.2 and RHEL-4's perl-5.8.5-17.RHEL4 .


Comment 3 Jason Vas Dias 2005-11-08 23:49:18 UTC
This is upstream perl bug: 
 '#36521: Deep recursion on subroutine "CGI::Carp::warn"'
  ( http://rt.perl.org/rt3/Ticket/Display.html?id=36521 )
The upstream patch #25160 has been applied to perl-5.8.6-16 (FC-4) and
perl-5.8.7-0.7 (FC5) in CVS, and will be released to FC-4 updates and
Rawhide shortly .
 

Comment 7 Robin Norwood 2006-10-01 23:29:38 UTC
assigning to rnorwood@redhat.com


Note You need to log in before you can comment on or make changes to this bug.